/*  aminoacids.c
 *
 *  Copyright (C) 2012, Institute of Enzymology,
 *  Daniel Kozma,  kozmad at enzim dot hu

 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "aminoacids.h"


const char getAAChar(char * str) {
	int i;

	FOR_ALL_AA(i) {
		if(AAA[i][0] != str[0]) continue;
		if(AAA[i][1] != str[1]) continue;
		if(AAA[i][2] != str[2]) continue;
		return A[i];
	}
	return 'U';
}

const char *getAAName(char c) {
	return AAA[AA_INDEX(c)];
}
